## nforenum 3.4.6+svn2309

=== Makefile ===
--- 
+++ 
@@ -135,6 +135,7 @@
 
 clean:
 	rm -rf *.o *.d *.exe *.EXE renum bundle bundles
+	rm -f .rev version.h
 
 release: FORCE
 	$(_E)[REBUILD] $(NFORENUM)
