=== debian/changelog ===
nforenum (3.4.6+svn2309-1) unstable; urgency=low

  * [ad2c13b] Rename the renum binary to nforenum at configure instead
    of install.
  * [eb2cadd] New upstream release 3.4.6+svn2309.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 29 Mar 2010 20:10:39 +0200

nforenum (3.4.6+svn2300-1) unstable; urgency=low

  * [0d94f37] New upstream release 3.4.6+svn2300.
  * [13ebd81] Remove patch gcc-4.4-compile-fixes, which was imported
    upstream.
  * [6ebf324] Update the watch file to the new upstream url scheme.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Feb 2010 17:56:38 +0100

nforenum (3.4.6+svn2274-1) unstable; urgency=low

  * [63f935c] Initial release. (Closes: #561583)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 01 Feb 2010 12:42:07 +0100
