=== debian/control ===
Source: nforenum
Section: devel
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), libboost-dev
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/nforenum.git
Vcs-Git: git://git.debian.org/collab-maint/nforenum.git
Homepage: http://users.tt-forums.net/dalestan/nforenum/

Package: nforenum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A format correcter and linter for the NFO programming language
 The NFO programming language is used in the graphic file format from the
 Transport Tycoon Deluxe, TTDPatch and OpenTTD games.
 .
 It takes as input any number of files that contain something that vaguely
 resembles valid NFO, and produces, to the best of its ability, encodable NFO
 files, one for each input file.
 .
 It also detects and warns about some common mistakes made in NFO coding. A
 pretty-printer is also included.
