=== debian/changelog ===
nforenum (4.0.0+debian1-1) unstable; urgency=low

  * [ae5b53f] Repackaged upstream source, to remove a duplicate file (which
    the lenny version of tar --keep-old-files doesn't like.
  * [1c099c4] Update watch file to upstream's new versioning scheme.
  * [6124716] Mangle the +debian suffix in the watch file.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 23 Aug 2010 14:43:22 +0200

nforenum (4.0.0-1) unstable; urgency=low

  * [5420d5f] New upstream release 4.0.0.
  * [e233e42] Remove svn version mangling, upstream uses sane versioning
    again.
  * [7d11384] Upstream renamed the binary to nforenum, so we don't need
    to.
  * [e81954b] Disable UPX binary compression, it is not available on all
    platforms.
  * [c7a6aca] Upstream now provides a make install.
  * [4324794] Remove our manpage, upstream now provides one.
  * [9efedc8] Bump Standards-Version to 3.9.1, no changes required.
  * [e1109ef] Update upstream homepage.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 19 Aug 2010 16:02:10 +0200
