=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), libboost-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/nforenum.git
 Vcs-Git: git://git.debian.org/collab-maint/nforenum.git
-Homepage: http://users.tt-forums.net/dalestan/nforenum/
+Homepage: http://dev.openttdcoop.org/projects/nforenum
 
 Package: nforenum
 Architecture: any
