=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use debhelper default for all targets (but some are overridden below).
%:
	dh $@

# Don't use dh for clean. Since the upstream Makefile generates
# dependency information before any error messages, dh_auto_clean
# sometimes thinks make distclean is supported, while it isn't.
override_dh_auto_clean:
	make clean
	# Remove files autogenerated by make, but not removed by make clean.
	rm -f version.h Makefile.local .rev

override_dh_auto_configure:
	# Disable UPX
	echo UPX= >> Makefile.local

override_dh_auto_install:
	dh_auto_install
	# Remove the changelog, dh_installchangelogs will do that as
	# well.
	rm debian/nforenum/usr/share/doc/nforenum/changelog.txt
	# Remove the COPYING file, it's just a verbatim GPL copy
	rm debian/nforenum/usr/share/doc/nforenum/COPYING
